<?php
session_start();
$content=file("../../sg_cm/conf/conf/conf.php");
if (session_id()!=$content[2])
 {
  $url=urlencode("Пройдите авторизацию!");
  echo "<meta http-equiv=refresh content='0; url=../../sg_cm/admin/index.php?acc=$url'>";
  exit();
 }

$info="";


if(isset($_POST['add']))
  {
    $_POST['name']=trim($_POST['name']);
    $_POST['email']=trim($_POST['email']);
    $_POST['pasv']=trim($_POST['pasv']);

    if($_POST['name']=="" || $_POST['email']=="" || $_POST['pasv']=="") $info="Введите все данные. ";
    if(strlen( $_POST['pasv']) <6) $info.="Пароль должен быть не менее 6 символов.";

    if($info=="")
      {
         $id=time();
         $f=fopen("conf/cons.txt","a+");
         fwrite($f,$id."*".$_POST['name']."*".$_POST['email']."*".$_POST['pasv']."\r\n");
         fclose($f);

         $f=fopen("cons/ac/$id","w+");
         fwrite($f,md5($_POST['pasv']));
         fclose($f);

         $f=fopen("cons/cons/$id","w+");
         fwrite($f,$_POST['name']."*".$_POST['email']."\r\n");
         fclose($f);

        mkdir("cons/db/$id");

        echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
        exit();
      }

  }

 if(isset($_POST['exit']))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
     exit();
   }
?>
<!DOCTYPE html>
<html>
	<head>
	<meta charset="utf-8" />
  <title>Добавить консультанта</title>

<style>
  h2
         {
          font-family: Arial, sans-serif;
          font-size:14pt;
          color:#808080;

         }
  table {
         font-family: Arial, sans-serif;
         font-size:10pt;
          color:#5C5C5C;
 	     font-size:11pt;
      }
  #button {

       font-family:"Times New Roman", "serif";
       color:#408080;
       font-size:9pt;
       background-color:#C0C0C0;
      font-weight:600;
      text-align:center;
      width:120px;
      }
</style>
</head>

<body>
<table width=40% align=center  border=0><tr><td>
<h2>Добавить консультанта</h2>
Данные о консультанте можно добавить позднее. Это может сделать либо он в своей панели управления, либо вы в разделе редактирования.
<form  action="add_cons.php" method="post"><?if($info!="") echo "<font color=red>$info</font><br />"?>
Имя<br />
<input name="name" type="text" value="<?echo @$_POST[name]?>" size=50><br /><br />
e-mail<br />
<input name="email" type="text" value="<?echo @$_POST[email]?>" size=50><br /><br />
Пароль (минимум 6 символов)<br />
<input name="pasv" type="text" value="<?echo @$_POST[pasv]?>" size=10><br /><br /><br />
<input type="submit" value="Добавить" name=add id=button>&nbsp;&nbsp;<input type="submit" value="Выход" name=exit id=button>

</form>

</td></tr></table>






</body>

</html>